package producerconsumercanvas;

import java.util.Random;

/**
 * A simple Plain Old Java Object that could be any type of complex
 * custom data structure. Smart enough to do some math to create
 * interesting data useful for plotting on the screen later.
 *
 * @author sphillips
 */
public class PointPojo {
    //X axis data coordinate
    public double x;
    //Y axis data coordinate
    public double y;

    public PointPojo() {
        //random numbers for our equations
        Random random = new Random();
        double xRan = Math.log(random.nextDouble());
        double yRan = Math.log(random.nextDouble());
        //Just some interesting equations for plotting on a 2D canvas
        x = Math.cos(xRan * yRan);
        y = Math.sin((xRan * xRan) + (yRan * yRan));
        //alternate the sign to create a mirror image pattern 
        x *= random.nextBoolean() ? 1 : -1;
        y *= random.nextBoolean() ? 1 : -1;
    }
}